uses
	sysutils;
var
	t, i, j, k: longint;
begin
	t := 12;
	for i := 0 to 31 do begin
		rewrite(output, inttostr(t + i));
		k := i;
		for j := 1 to 5 do begin
			write(k mod 2);
			k := k div 2;
		end;
		writeln;
		close(output);
	end;
end.